Nach MySQL-Update eine kleine Fehlermeldung

MySQL, PostgreSQL, SQLite
adagio
Posts: 96
Joined: 2003-09-22 12:51

Nach MySQL-Update eine kleine Fehlermeldung

Post by adagio » 2003-09-22 12:54

Edit: Sorry, hab den Beitrag im falschen Forum erstellt - kann das einer der Mods bitte verschieben? :oops:

Hallo,

dank Eures Forums & FAQs konnte ich erfolgreich meinen Server konfigurieren, aktualisieren und mehr. Weiter so! :)

Ich habe heute bei meinem Rootserver meinen MySQL Server aktualisiert auf die Version 4.0.15 (alte: 3.x). Es scheint auch alles normal zu funktionieren.

Bei phpMyAdmin erhalte ich allerdings unter dem Punkt "Privileges" diese Fehlermeldung:
Warning: Your privilege table structure seem to be older than this MySQL version!
Please run the script mysql_fix_privilege_tables that should be included in your MySQL server distribution to solve this problem!
Ich hab mysql_fix_privilege_tables dann ausgeführt, und die Meldung war dann weg.

Hab ich was vergessen gehabt? Oder war das nicht weiter wichtig?

captaincrunch
Userprojekt
Userprojekt
Posts: 7066
Joined: 2002-10-09 14:30
Location: Dorsten

Re: Nach MySQL-Update eine kleine Fehlermeldung

Post by captaincrunch » 2003-09-22 13:12

-> DB-Forum
DebianHowTo
echo "[q]sa[ln0=aln256%Pln256/snlbx]sb729901041524823122snlbxq"|dc

oxygen
Posts: 2138
Joined: 2002-12-15 00:10
Location: Bergheim

Re: Nach MySQL-Update eine kleine Fehlermeldung

Post by oxygen » 2003-09-22 15:03

Nein alles in Ordnung.

adagio
Posts: 96
Joined: 2003-09-22 12:51

Re: Nach MySQL-Update eine kleine Fehlermeldung

Post by adagio » 2003-09-22 22:17

Hm, phpMyAdmin erkennt richtig, dass es MySQL 4.x ist ... aber ein phpinfo() spuckt das aus:

Client API version 3.23.57

Woran liegt das? Muss ich mir jetzt Gedanken machen, dass doch irgendwas durcheinander geraten ist? :?:

tec79
Posts: 29
Joined: 2003-07-08 10:14

Re: Nach MySQL-Update eine kleine Fehlermeldung

Post by tec79 » 2003-09-25 11:16

Vieleicht PHP neu kompilieren? Dann sollten auch die neuen APIs drin sein!

adagio
Posts: 96
Joined: 2003-09-22 12:51

Re: Nach MySQL-Update eine kleine Fehlermeldung

Post by adagio » 2003-09-26 01:05

PHP habe ich davor kompiliert (4.3.3) ... das sollte doch aber unabhängig davon sein, oder?

phpinfo() checkt doch nur, welche MySQL-Version installiert ist - oder seh ich das falsch?

gamecrash
Posts: 339
Joined: 2002-05-27 10:52

Re: Nach MySQL-Update eine kleine Fehlermeldung

Post by gamecrash » 2003-09-26 09:45

Ich mag mich jetzt irren, aber soweit ich weiß kompiliert PHP zumindest in einer der beiden Varianten (Pfad angegeben / nicht angegeben) die Client-Lib direkt mit in PHP rein...

Kompilier einfach nochmal neu, dann siehst Du's ja ;)

flo
Posts: 2223
Joined: 2002-07-28 13:02
Location: Berlin

Re: Nach MySQL-Update eine kleine Fehlermeldung

Post by flo » 2003-09-26 12:41

Sollte aber eigentlich nichts ausmachen, wenn PHP hier eine alte Lib verwendet, von evtl. Sicherheitproblematiken der speziellen Version mal abgesehen.

Spaßig wird es, wenn Du auf MySQL 4.1 umsteigst, dann funktioniert die Anmeldung an der Datenbank nicht mehr, mit PERL besteht genau das gleiche Problem, dann hilft nur neu kompilieren und die richtigen Libs angeben ...

Grüße,

Flo.

P.S.: Andersrum funktioniert es: Habe derzeit im PHP die 4.1er Lib, installiert ist die 4.0er Version.